# eric4.Preferences.ConfigurationPages.TasksPage

Module implementing the Tasks configuration page.

### Global Attributes

None

### Classes

TasksPage | Class implementing the Tasks configuration page.

### Functions

create | Module function to create the configuration page.

## TasksPage

Class implementing the Tasks configuration page.

### Derived from

ConfigurationPageBase, Ui_TasksPage

### Class Attributes

None

### Class Methods

None

### Methods

TasksPage | Constructor
on_tasksBgColourButton_clicked | Private slot to set the background colour for global tasks.
on_tasksBugfixColourButton_clicked | Private slot to set the colour for bugfix tasks.
on_tasksColourButton_clicked | Private slot to set the colour for standard tasks.
on_tasksProjectBgColourButton_clicked | Private slot to set the backgroundcolour for project tasks.
save | Public slot to save the Tasks configuration.

### Static Methods

None

#### TasksPage (Constructor)

TasksPage()

Constructor

#### TasksPage.on_tasksBgColourButton_clicked

on_tasksBgColourButton_clicked()

Private slot to set the background colour for global tasks.

#### TasksPage.on_tasksBugfixColourButton_clicked

on_tasksBugfixColourButton_clicked()

Private slot to set the colour for bugfix tasks.

#### TasksPage.on_tasksColourButton_clicked

on_tasksColourButton_clicked()

Private slot to set the colour for standard tasks.

#### TasksPage.on_tasksProjectBgColourButton_clicked

on_tasksProjectBgColourButton_clicked()

Private slot to set the backgroundcolour for project tasks.

#### TasksPage.save

save()

Public slot to save the Tasks configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up